./editors/emacs21, GNU editing macros (editor)

[ CVSweb ] [ Homepage ] [ RSS ] [ Required by ] [ Add to tracker ]


Branch: CURRENT, Version: 21.4anb28, Package name: emacs21-21.4anb28, Maintainer: pkgsrc-users

GNU Emacs is a self-documenting, customizable, extensible real-time
display editor.

Users new to Emacs will be able to use basic features fairly rapidly
by studying the tutorial and using the self-documentation features.
Emacs also has an extensive interactive manual browser. It is easily
extensible since its editing commands are written in Lisp.

GNU Emacs's many special packages handle mail reading (RMail) and
sending (Mail), outline editing (Outline), compiling (Compile),
running subshells within Emacs windows (Shell), running a Lisp
read-eval-print loop (Lisp-Interaction-Mode), automated psychotherapy
(Doctor :-) and many more.

This package contains Emacs version 21.


Required to run:
[graphics/tiff] [graphics/png] [graphics/jpeg] [lang/perl5] [x11/libXpm] [graphics/giflib]

Required to build:
[pkgtools/x11-links] [x11/xproto]

Package options: x11, xaw

Master sites: (Expand)

SHA1: cdb33731180fe4a912838af805dd35e3f55394d4
RMD160: c312e739935b56d08783bbfe97992297a363cb8a
Filesize: 19925.276 KB

Version history: (Expand)


CVS history: (Expand)


   2013-10-27 21:47:53 by Joerg Sonnenberger | Files touched by this commit (5)
Log message:
NetBSD with native clang won't have libgcc, so fake a static library.
Avoids going to the great hacks in the build system to avoid it.
   2013-10-27 21:41:49 by Joerg Sonnenberger | Files touched by this commit (6)
Log message:
Use tradcpp for clang build, fallback to cpp -traditional otherwise.
   2013-07-05 15:44:07 by Ryo ONODERA | Files touched by this commit (1)
Log message:
Add a patch.
   2013-07-05 15:43:44 by Ryo ONODERA | Files touched by this commit (4) | Package updated
Log message:
Bump PKGREVISION.

* Fix build for giflib 5.0.4.
   2013-05-31 14:42:58 by Thomas Klausner | Files touched by this commit (2880)
Log message:
Bump all packages for perl-5.18, that
a) refer 'perl' in their Makefile, or
b) have a directory name of p5-*, or
c) have any dependency on any p5-* package

Like last time, where this caused no complaints.
   2013-04-06 22:27:30 by Blue Rats | Files touched by this commit (94)
Log message:
Resolves:
"INFO_FILES should be set to YES or yes."
"Packages that install info files should set INFO_FILES."
Makefile and PLIST warning, respectively.
   2013-02-17 08:48:03 by David A. Holland | Files touched by this commit (7)
Log message:
Put the Emacs version in all the DESCR files. Ride the bumps I just did.
   2013-02-17 08:43:49 by David A. Holland | Files touched by this commit (2)
Log message:
Move COMMENT into Makefile.common so emacs21-nox11 gets it.